#ifndef __mx_jobs_h__
#define __mx_jobs_h__

#include "vars.h"

long jobs_calls(CVars in, CVars &out);
long  WrenchCreateJobs( CVars in, CVars &out );
long  WrenchDeleteJobs( CVars in, CVars &out );

long  WrenchEditJobs( CVars in, CVars &out );

long WrenchAddJobsGroupMember( CVars in, CVars &out );
long WrenchCreateJobsGroup( CVars in, CVars &out );


long WrenchDeleteJobsGroup( CVars in, CVars &out );
long WrenchDeleteJobsGroupMember( CVars in, CVars &out );


long WrenchSendJobsOfferIndividual( CVars in, CVars &out );
long WrenchSendJobsOfferGroup( CVars in, CVars &out );
long WrenchSendJobsOfferPublic( CVars in, CVars &out );
long WrenchJobsOfferInterest( CVars in, CVars &out );
long WrenchJobsProcessInterest( CVars in, CVars &out );
long WrenchConcludeJobsOffer( CVars in, CVars &out );


long WrenchJobsQuestion(CVars in, CVars &out);
long WrenchMarketInterestQuestion(CVars in, CVars &out);
long WrenchMarketInterestQuestionList(CVars in, CVars &out);
long WrenchReplyMessage(CVars in, CVars &out);
long WrenchJobPostAgree(CVars in, CVars &out);
long WrenchJobPostExtendTime(CVars in, CVars &out);
long WrenchJobPostNotifyOffer(CVars in, CVars &out);
long WrenchJobPostCancelOffer(CVars in, CVars &out);
long WrenchJobOfferSystems(CVars in, CVars &out);
long WrenchSendJobsOfferFamily(CVars in, CVars &out);
long WrenchSendMediaOfferFamily(CVars in, CVars &out);
long WrenchSendJobsOfferCreateAssign(CVars in, CVars &out);
long WrenchJobsOfferInterestList(CVars in, CVars &out);
long WrenchUserJobsInterestList(CVars in, CVars &out);
long WrenchJobsGroupList(CVars in, CVars &out);
long WrenchJobsInterestStats(CVars in, CVars &out);

#endif

